Subject: bug#27840: 26.0.50; vc-git-grep stopped working on git master

From: Dmitry Gutov <[email-masked]>
Date: Tue, 1 Aug 2017 16:36:17 +0300

On 7/30/17 9:08 PM, [email-masked] wrote:

> Right, but the question is: are there n+1 other places where we will
> need to do this?

I don't know.

If we really want the default settings of grep-mode to fit all grep-like 
programs, then the task is suddenly harder, and we do want to default to 
the non-null.

Although, honestly, in that case, I would consider reverting the patch, 
because it increases complexity, yet is unlikely (as non-default) to be 
used by the majority of the users.

Alternatively, one regexp would have to handle both versions, with and 
without null (merging grep-with-null-regexp-alist and 
grep-fallback-regexp-alist together, if it's at all possible).